cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/notes" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--form-string 'note=<p>Called Jane about the renewal.</p>' \
-F "file=@notes.txt"from exsited import build_client
client = build_client()
response = client.accounts.create_account_note(
"ACC0001",
"<p>Called Jane about the renewal.</p>",
files={"file": open("notes.txt", "rb")},
)
print(response.data)
import {readFileSync} from 'node:fs';
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.createAccountNote('ACC0001', '<p>Called Jane about the renewal.</p>', {
files: {file: ['notes.txt', readFileSync('notes.txt')]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->createAccountNote(
'ACC0001',
'<p>Called Jane about the renewal.</p>',
['file' => ['notes.txt', fopen('notes.txt', 'r')]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.client.RequestOptions;
import com.exsited.resources.accounts.accounts_dto.AccountsDto.NoteView;
import java.nio.file.Path;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteView> response = client.accounts().createAccountNote(
"ACC0001",
"<p>Called Jane about the renewal.</p>",
Map.of("file", Path.of("notes.txt")),
RequestOptions.none());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.CreateAccountNoteAsync(
"ACC0001",
"<p>Called Jane about the renewal.</p>",
new Dictionary<string, object?> { ["file"] = new object?[] { "notes.txt", File.ReadAllBytes("notes.txt") } });
Console.WriteLine(response.Json);
import 'dart:io';
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.createAccountNote(
'ACC0001',
'<p>Called Jane about the renewal.</p>',
files: {
'file': ['notes.txt', File('notes.txt').readAsBytesSync()],
},
);
print(response.map);
import (
"context"
"fmt"
"log"
"os"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
file, err := os.ReadFile("notes.txt")
if err != nil {
log.Fatal(err)
}
response, err := client.Accounts().CreateAccountNote(context.Background(), "ACC0001", "<p>Called Jane about the renewal.</p>", map[string]any{"file": []any{"notes.txt", file}}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"object": "<string>",
"id": "<string>",
"content": "<string>",
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"code": "<string>",
"href": "<string>",
"rate": 123
},
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"watchers": [
{
"email": "<unknown>",
"name": "<string>",
"type": "<string>"
}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"href": "<string>"
},
"last_updated_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"href": "<string>"
},
"version": 123,
"group": "<unknown>",
"href": "<string>",
"user": "<unknown>"
}
}Accounts
Create a note
Adds a note to an account, with optional file attachments, and returns it.
POST
/
accounts
/
{account_id}
/
notes
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/notes" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--form-string 'note=<p>Called Jane about the renewal.</p>' \
-F "file=@notes.txt"from exsited import build_client
client = build_client()
response = client.accounts.create_account_note(
"ACC0001",
"<p>Called Jane about the renewal.</p>",
files={"file": open("notes.txt", "rb")},
)
print(response.data)
import {readFileSync} from 'node:fs';
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.createAccountNote('ACC0001', '<p>Called Jane about the renewal.</p>', {
files: {file: ['notes.txt', readFileSync('notes.txt')]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->createAccountNote(
'ACC0001',
'<p>Called Jane about the renewal.</p>',
['file' => ['notes.txt', fopen('notes.txt', 'r')]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.client.RequestOptions;
import com.exsited.resources.accounts.accounts_dto.AccountsDto.NoteView;
import java.nio.file.Path;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<NoteView> response = client.accounts().createAccountNote(
"ACC0001",
"<p>Called Jane about the renewal.</p>",
Map.of("file", Path.of("notes.txt")),
RequestOptions.none());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.CreateAccountNoteAsync(
"ACC0001",
"<p>Called Jane about the renewal.</p>",
new Dictionary<string, object?> { ["file"] = new object?[] { "notes.txt", File.ReadAllBytes("notes.txt") } });
Console.WriteLine(response.Json);
import 'dart:io';
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.createAccountNote(
'ACC0001',
'<p>Called Jane about the renewal.</p>',
files: {
'file': ['notes.txt', File('notes.txt').readAsBytesSync()],
},
);
print(response.map);
import (
"context"
"fmt"
"log"
"os"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
file, err := os.ReadFile("notes.txt")
if err != nil {
log.Fatal(err)
}
response, err := client.Accounts().CreateAccountNote(context.Background(), "ACC0001", "<p>Called Jane about the renewal.</p>", map[string]any{"file": []any{"notes.txt", file}}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"object": "<string>",
"id": "<string>",
"content": "<string>",
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"code": "<string>",
"href": "<string>",
"rate": 123
},
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"watchers": [
{
"email": "<unknown>",
"name": "<string>",
"type": "<string>"
}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"href": "<string>"
},
"last_updated_by": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"href": "<string>"
},
"version": 123,
"group": "<unknown>",
"href": "<string>",
"user": "<unknown>"
}
}Send a multipart form: the note’s HTML as the
note field, with any files beside it. Returns the note under note.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The account's id, such as ACC0001. Not its uuid.
Body
multipart/form-data
Response
201 - application/json
The new note, under note.
One note.
Show child attributes
Show child attributes